/*************************************************
* Enumerations Header File                       *
* (C) 1999-2002 The Botan Project                *
*************************************************/

#ifndef BOTAN_ENUMS_H__
#define BOTAN_ENUMS_H__

#include <botan/config.h>

namespace Botan {

/*************************************************
* ASN.1 Type and Class Tags                      *
*************************************************/
enum ASN1_Tag {
   NO_OBJECT        = 0x00,
   BOOLEAN          = 0x01,
   INTEGER          = 0x02,
   BIT_STRING       = 0x03,
   OCTET_STRING     = 0x04,
   NULL_TAG         = 0x05,
   OBJECT_ID        = 0x06,
   SEQUENCE         = 0x10,
   SET              = 0x11,

   CONSTRUCTED      = 0x20,

   UNIVERSAL        = 0x00,
   APPLICATION      = 0x40,
   CONTEXT_SPECIFIC = 0x80,
   PRIVATE          = 0xC0
};

/*************************************************
* Various Other Enumerations                     *
*************************************************/
enum RNG_Quality { Nonce = 0, PublicValue = 0, SessionKey, LongTermKey };

enum X509_Encoding { RAW_BER, PEM };

enum Cipher_Dir { ENCRYPTION, DECRYPTION };

}

#endif
