/*************************************************
* PK Key Types Source File                       *
* (C) 1999-2002 The Botan Project                *
*************************************************/

#include <botan/pk_keys.h>

namespace Botan {

/*************************************************
* Default OID access                             *
*************************************************/
OID PK_Key::get_oid() const
   {
   throw Invalid_State("PK algorithm " + algo_name() + " has no defined OIDs");
   }

/*************************************************
* Default OID check                              *
*************************************************/
bool PK_Key::valid_oid(const OID& oid) const
   {
   if(oid == get_oid())
      return true;
   return false;
   }

}
